Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 621082 - Windows Guests Installation: No audio devices are installed
Windows Guests Installation: No audio devices are installed
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gtk-vnc (Show other bugs)
6.0
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Daniel Berrange
desktop-bugs@redhat.com
: Reopened, RHELNAK
Depends On:
Blocks: 644773
  Show dependency treegraph
 
Reported: 2010-08-04 04:14 EDT by yanbing du
Modified: 2011-06-10 00:16 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 644773 (view as bug list)
Environment:
Last Closed: 2011-06-10 00:16:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
two logs (20.00 KB, application/x-tar)
2010-11-23 00:39 EST, yanbing du
no flags Details

  None (edit)
Description yanbing du 2010-08-04 04:14:44 EDT
Description of problem:
   After gusets install, the audio device can not work well, it looks like that the audio card(type: AC97) driver has not been installed, the guests include win7-i386, win7-x86_64, win2008-x86_64 and win2008r2-x86_64.
    Even download the audio card driver and install it, the guests' audio device still can't work, and it still shows "No audio devices are installed".


Version-Release number of selected component (if applicable):
kernel-2.6.32-54.el6.x86_64
libvirt-0.8.1-20.el6.x86_64
virt-manager-0.8.4-7.el6.noarch
qemu-kvm-0.12.1.2-2.104.el6.x86_64
qemu-img-0.12.1.2-2.104.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Install the specific guests via virt-manager.
2.Log in the guset, and the audio device.
3.Download the audio card driver from www.realtek.com/downloads, and install it.
4.Check the audio device again.
  
Actual results:
The audio device can not work, and it shows "No audio devices are installed".

Expected results:
The audio device work well.

Additional info:
Comment 2 RHEL Product and Program Management 2010-08-04 04:48:07 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 4 yanbing du 2010-08-08 22:50:56 EDT
#virsh dumpxml Win7-i386
<domain type='kvm' id='2'>
  <name>Win7-i386</name>
  <uuid>028d4292-7a0f-cd82-f4cb-d9f286d14030</uuid>
  <memory>2097152</memory>
  <currentMemory>2097152</currentMemory>
  <vcpu>4</vcpu>
  <os>
    <type arch='x86_64' machine='rhel6.0.0'>hvm</type>
    <boot dev='hd'/>
  </os>
  <features>
    <acpi/>
    <apic/>
    <pae/>
  </features>
  <clock offset='localtime'/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>restart</on_crash>
  <devices>
    <emulator>/usr/libexec/qemu-kvm</emulator>
    <disk type='file' device='disk'>
      <driver name='qemu' type='raw' cache='none'/>
      <source file='/var/lib/libvirt/images/Win7-i386.img'/>
      <target dev='hda' bus='ide'/>
      <alias name='ide0-0-0'/>
      <address type='drive' controller='0' bus='0' unit='0'/>
    </disk>
    <disk type='block' device='cdrom'>
      <driver name='qemu' type='raw'/>
      <target dev='hdc' bus='ide'/>
      <readonly/>
      <alias name='ide0-1-0'/>
      <address type='drive' controller='0' bus='1' unit='0'/>
    </disk>
    <controller type='ide' index='0'>
      <alias name='ide0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x1'/>
    </controller>
    <interface type='network'>
      <mac address='52:54:00:8c:30:9a'/>
      <source network='default'/>
      <target dev='vnet1'/>
      <alias name='net0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
    </interface>
    <serial type='pty'>
      <source path='/dev/pts/0'/>
      <target port='0'/>
      <alias name='serial0'/>
    </serial>
    <console type='pty' tty='/dev/pts/0'>
      <source path='/dev/pts/0'/>
      <target port='0'/>
      <alias name='serial0'/>
    </console>
    <input type='tablet' bus='usb'>
      <alias name='input0'/>
    </input>
    <input type='mouse' bus='ps2'/>
    <graphics type='vnc' port='5901' autoport='yes'/>
    <sound model='ac97'>
      <alias name='sound0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x04' function='0x0'/>
    </sound>
    <video>
      <model type='vga' vram='9216' heads='1'/>
      <alias name='video0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>
    </video>
    <memballoon model='virtio'>
      <alias name='balloon0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x05' function='0x0'/>
    </memballoon>
  </devices>
  <seclabel type='dynamic' model='selinux'>
    <label>system_u:system_r:svirt_t:s0:c38,c908</label>
    <imagelabel>system_u:object_r:svirt_image_t:s0:c38,c908</imagelabel>
  </seclabel>
</domain>
Comment 5 Dave Allan 2010-08-09 14:55:07 EDT
You have no audio device in your guest XML, so no audio device will be created in the guest.  If you want an audio device, you have to edit the guest XML to create one.  However, see:

https://fedoraproject.org/wiki/How_to_debug_Virtualization_problems#Audio_output

I'm closing this BZ as not a bug.  BZ 595880 is already open requesting better audio support.
Comment 6 Dave Allan 2010-08-09 23:02:45 EDT
Oops, my bad.  Now I'm embarassed; how did I miss that <sound> section...reopening.
Comment 9 Osier Yang 2010-11-19 02:17:44 EST
Could you also paste the qemu command line according to the XML? you can get it in "/var/log/qemu/$domain.log". and also try to check if there is some error log in "/var/log/message", if so, paste it please. Thanks.

- Osier
Comment 10 yanbing du 2010-11-23 00:39:05 EST
Created attachment 462232 [details]
two logs

Hi Osier,
   Put the log(/var/log/libvirt/qemu/win7-.log and /var/log/message) in the attachment, please check it.
Comment 12 Osier Yang 2010-11-23 06:45:18 EST
[quote]
# QEMU implements an extension for providing audio over a VNC connection,
# though if your VNC client does not support it, your only chance for getting
# sound output is through regular audio backends. By default, libvirt will
# disable all QEMU sound backends if using VNC, since they can cause
# permissions issues. Enabling this option will make libvirtd honor the
# QEMU_AUDIO_DRV environment variable when using VNC.
#
# vnc_allow_host_audio = 0
[/quote]

That's why "QEMU_AUDIO_DRV" is set to "none" in qemu command line. Though you can turn "vnc_allow_host_audio" on by set it to "1", but it's not encouraged for avoiding the security issues. and actually even if you turn it on, it probly still don't work for the permission problems.

IMHO, the best idea to solve this problem is improve gtk-vnc to support the qemu extenstion.

- Osier
Comment 13 Cameron Meadors 2010-12-03 09:41:46 EST
I am missing the part where gtk-vnc in involved.  Excuse my ignorance if I missing something obvious.
Comment 14 Cameron Meadors 2011-01-13 10:50:08 EST
After rereading this, is the issue that gtk-vnc is not forwarding audio?  I just want to be clear what is actually being fixed so I am testing the right thing.

Note You need to log in before you can comment on or make changes to this bug.